Update Revenue Center Groups
post
/config/sim/v2/setup/updateRevenueCenterGroups
Updates Revenue Center Groups.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Revenue Center Groups insert and update request body.
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Property hierarchy unit for the group.Example:
3599 -
name(required):
object name
Localized revenue center group name. Each language-id keyed value must not exceed 64 characters.
-
objectNum(required):
integer
User-facing group number. Unique within the property.Example:
101 -
revenueCenters:
array revenueCenters
Revenue centers assigned to the group. Each revenue center must be in the same property.
Nested Schema : name
Type:
objectLocalized revenue center group name. Each language-id keyed value must not exceed 64 characters.
Example:
{
"1":"Main Dining Group",
"2":"Groupe de salle principale",
"3":"Grupo de comedor principal"
}Nested Schema : revenueCenters
Type:
arrayRevenue centers assigned to the group. Each revenue center must be in the same property.
Show Source
Nested Schema : items
Type:
Show Source
object-
rvcId(required):
integer
Revenue center identifier.Example:
10
Response
Supported Media Types
- application/json
200 Response
Revenue Center Groups updated.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Property hierarchy unit for the group.Example:
3599 -
objectNum:
integer
User-facing group number.Example:
101